#============================================================================
# pod_readme.mk

POD_README_MK =

# prerequisite packages
HOOKS_MK +=
CREATE_AM_MACROS_MK +=

#----------------------------------------
# caller must define these
#
# A simple list of POD files to process.  Just the basename's, no suffix.
# No Make Magic. Only the first is used for README
# README_POD =

if MST_POD_GEN_DOCS_README

README : $(README_POD)
	pod2readme $< $@

else !MST_POD_GEN_DOCS_README

# can't create documentation.  for end user, the distributed
# documentation will get installed.

# for maintainer, must create fake docs or make will fail,
# but don't distribute


README:
	touch $@

DIST_HOOKS += POD_README_FALSE_DIST_HOOK
.PHONY: POD_README_FALSE_DIST_HOOK
POD_README_FALSE_DIST_HOOK:
	echo >&2 "Cannot create distribution as cannot create README documentation"
	echo >&2 "Install pod2readme (from CPAN)"
	false

endif !MST_POD_GEN_DOCS_README

BUILT_SOURCES += README
